IP subnet calculator
Type an address with its prefix or mask to see the network, its usable range and masks. Split it into smaller subnets, or look up any prefix in the reference tables.
Network148.167.2.192/26
Usable hosts62
Subnet mask255.255.255.192
Addresses64
- Network address
148.167.2.192- Broadcast address
148.167.2.255- First usable
148.167.2.193- Last usable
148.167.2.254- Usable hosts
- 62 (64 less the network and broadcast addresses)
- Subnet mask
255.255.255.192- Wildcard mask
0.0.0.63(Cisco ACLs, OSPF)- Prefix length
- /26
- Type
- Public public
- Old class
- B (default /16)
- As numbers
- Hex
94A702C0· Integer2493973184to2493973247 - Reverse DNS zone
2.167.148.in-addr.arpa
Smaller than a /24: the provider delegates it inside the /24 zone (RFC 2317), or sets each PTR record for you.
Binary
| Binary (network bits bold, host bits grey) | Dotted | |
|---|---|---|
| Address | 10010100.10100111.00000010.11000000 | 148.167.2.192 |
| Subnet mask | 11111111.11111111.11111111.11000000 | 255.255.255.192 |
| Network | 10010100.10100111.00000010.11000000 | 148.167.2.192 |
| Broadcast | 10010100.10100111.00000010.11111111 | 148.167.2.255 |
Split into smaller subnets
148.167.2.192/26 makes 64 subnets of /32.
| # | Subnet | Usable hosts range | Broadcast | Hosts |
|---|---|---|---|---|
| 1 | 148.167.2.192/32 | 148.167.2.192 to 148.167.2.192 | — | 1 |
| 2 | 148.167.2.193/32 | 148.167.2.193 to 148.167.2.193 | — | 1 |
| 3 | 148.167.2.194/32 | 148.167.2.194 to 148.167.2.194 | — | 1 |
| 4 | 148.167.2.195/32 | 148.167.2.195 to 148.167.2.195 | — | 1 |
| 5 | 148.167.2.196/32 | 148.167.2.196 to 148.167.2.196 | — | 1 |
| 6 | 148.167.2.197/32 | 148.167.2.197 to 148.167.2.197 | — | 1 |
| 7 | 148.167.2.198/32 | 148.167.2.198 to 148.167.2.198 | — | 1 |
| 8 | 148.167.2.199/32 | 148.167.2.199 to 148.167.2.199 | — | 1 |
| 9 | 148.167.2.200/32 | 148.167.2.200 to 148.167.2.200 | — | 1 |
| 10 | 148.167.2.201/32 | 148.167.2.201 to 148.167.2.201 | — | 1 |
| 11 | 148.167.2.202/32 | 148.167.2.202 to 148.167.2.202 | — | 1 |
| 12 | 148.167.2.203/32 | 148.167.2.203 to 148.167.2.203 | — | 1 |
| 13 | 148.167.2.204/32 | 148.167.2.204 to 148.167.2.204 | — | 1 |
| 14 | 148.167.2.205/32 | 148.167.2.205 to 148.167.2.205 | — | 1 |
| 15 | 148.167.2.206/32 | 148.167.2.206 to 148.167.2.206 | — | 1 |
| 16 | 148.167.2.207/32 | 148.167.2.207 to 148.167.2.207 | — | 1 |
| 17 | 148.167.2.208/32 | 148.167.2.208 to 148.167.2.208 | — | 1 |
| 18 | 148.167.2.209/32 | 148.167.2.209 to 148.167.2.209 | — | 1 |
| 19 | 148.167.2.210/32 | 148.167.2.210 to 148.167.2.210 | — | 1 |
| 20 | 148.167.2.211/32 | 148.167.2.211 to 148.167.2.211 | — | 1 |
| 21 | 148.167.2.212/32 | 148.167.2.212 to 148.167.2.212 | — | 1 |
| 22 | 148.167.2.213/32 | 148.167.2.213 to 148.167.2.213 | — | 1 |
| 23 | 148.167.2.214/32 | 148.167.2.214 to 148.167.2.214 | — | 1 |
| 24 | 148.167.2.215/32 | 148.167.2.215 to 148.167.2.215 | — | 1 |
| 25 | 148.167.2.216/32 | 148.167.2.216 to 148.167.2.216 | — | 1 |
| 26 | 148.167.2.217/32 | 148.167.2.217 to 148.167.2.217 | — | 1 |
| 27 | 148.167.2.218/32 | 148.167.2.218 to 148.167.2.218 | — | 1 |
| 28 | 148.167.2.219/32 | 148.167.2.219 to 148.167.2.219 | — | 1 |
| 29 | 148.167.2.220/32 | 148.167.2.220 to 148.167.2.220 | — | 1 |
| 30 | 148.167.2.221/32 | 148.167.2.221 to 148.167.2.221 | — | 1 |
| 31 | 148.167.2.222/32 | 148.167.2.222 to 148.167.2.222 | — | 1 |
| 32 | 148.167.2.223/32 | 148.167.2.223 to 148.167.2.223 | — | 1 |
| 33 | 148.167.2.224/32 | 148.167.2.224 to 148.167.2.224 | — | 1 |
| 34 | 148.167.2.225/32 | 148.167.2.225 to 148.167.2.225 | — | 1 |
| 35 | 148.167.2.226/32 | 148.167.2.226 to 148.167.2.226 | — | 1 |
| 36 | 148.167.2.227/32 | 148.167.2.227 to 148.167.2.227 | — | 1 |
| 37 | 148.167.2.228/32 | 148.167.2.228 to 148.167.2.228 | — | 1 |
| 38 | 148.167.2.229/32 | 148.167.2.229 to 148.167.2.229 | — | 1 |
| 39 | 148.167.2.230/32 | 148.167.2.230 to 148.167.2.230 | — | 1 |
| 40 | 148.167.2.231/32 | 148.167.2.231 to 148.167.2.231 | — | 1 |
| 41 | 148.167.2.232/32 | 148.167.2.232 to 148.167.2.232 | — | 1 |
| 42 | 148.167.2.233/32 | 148.167.2.233 to 148.167.2.233 | — | 1 |
| 43 | 148.167.2.234/32 | 148.167.2.234 to 148.167.2.234 | — | 1 |
| 44 | 148.167.2.235/32 | 148.167.2.235 to 148.167.2.235 | — | 1 |
| 45 | 148.167.2.236/32 | 148.167.2.236 to 148.167.2.236 | — | 1 |
| 46 | 148.167.2.237/32 | 148.167.2.237 to 148.167.2.237 | — | 1 |
| 47 | 148.167.2.238/32 | 148.167.2.238 to 148.167.2.238 | — | 1 |
| 48 | 148.167.2.239/32 | 148.167.2.239 to 148.167.2.239 | — | 1 |
| 49 | 148.167.2.240/32 | 148.167.2.240 to 148.167.2.240 | — | 1 |
| 50 | 148.167.2.241/32 | 148.167.2.241 to 148.167.2.241 | — | 1 |
| 51 | 148.167.2.242/32 | 148.167.2.242 to 148.167.2.242 | — | 1 |
| 52 | 148.167.2.243/32 | 148.167.2.243 to 148.167.2.243 | — | 1 |
| 53 | 148.167.2.244/32 | 148.167.2.244 to 148.167.2.244 | — | 1 |
| 54 | 148.167.2.245/32 | 148.167.2.245 to 148.167.2.245 | — | 1 |
| 55 | 148.167.2.246/32 | 148.167.2.246 to 148.167.2.246 | — | 1 |
| 56 | 148.167.2.247/32 | 148.167.2.247 to 148.167.2.247 | — | 1 |
| 57 | 148.167.2.248/32 | 148.167.2.248 to 148.167.2.248 | — | 1 |
| 58 | 148.167.2.249/32 | 148.167.2.249 to 148.167.2.249 | — | 1 |
| 59 | 148.167.2.250/32 | 148.167.2.250 to 148.167.2.250 | — | 1 |
| 60 | 148.167.2.251/32 | 148.167.2.251 to 148.167.2.251 | — | 1 |
| 61 | 148.167.2.252/32 | 148.167.2.252 to 148.167.2.252 | — | 1 |
| 62 | 148.167.2.253/32 | 148.167.2.253 to 148.167.2.253 | — | 1 |
| 63 | 148.167.2.254/32 | 148.167.2.254 to 148.167.2.254 | — | 1 |
| 64 | 148.167.2.255/32 | 148.167.2.255 to 148.167.2.255 | — | 1 |
IPv4 CIDR reference (/0 to /32)
| Prefix | Subnet mask | Wildcard | Addresses | Usable hosts | Size | Typical use |
|---|---|---|---|---|---|---|
| /0 | 0.0.0.0 | 255.255.255.255 | 4,294,967,296 | 4,294,967,294 | 16,777,216 × /24 | |
| /1 | 128.0.0.0 | 127.255.255.255 | 2,147,483,648 | 2,147,483,646 | 8,388,608 × /24 | |
| /2 | 192.0.0.0 | 63.255.255.255 | 1,073,741,824 | 1,073,741,822 | 4,194,304 × /24 | |
| /3 | 224.0.0.0 | 31.255.255.255 | 536,870,912 | 536,870,910 | 2,097,152 × /24 | |
| /4 | 240.0.0.0 | 15.255.255.255 | 268,435,456 | 268,435,454 | 1,048,576 × /24 | |
| /5 | 248.0.0.0 | 7.255.255.255 | 134,217,728 | 134,217,726 | 524,288 × /24 | |
| /6 | 252.0.0.0 | 3.255.255.255 | 67,108,864 | 67,108,862 | 262,144 × /24 | |
| /7 | 254.0.0.0 | 1.255.255.255 | 33,554,432 | 33,554,430 | 131,072 × /24 | |
| /8 | 255.0.0.0 | 0.255.255.255 | 16,777,216 | 16,777,214 | 65,536 × /24 | Old class A; 10.0.0.0/8 |
| /9 | 255.128.0.0 | 0.127.255.255 | 8,388,608 | 8,388,606 | 32,768 × /24 | |
| /10 | 255.192.0.0 | 0.63.255.255 | 4,194,304 | 4,194,302 | 16,384 × /24 | |
| /11 | 255.224.0.0 | 0.31.255.255 | 2,097,152 | 2,097,150 | 8,192 × /24 | |
| /12 | 255.240.0.0 | 0.15.255.255 | 1,048,576 | 1,048,574 | 4,096 × /24 | 172.16.0.0/12 |
| /13 | 255.248.0.0 | 0.7.255.255 | 524,288 | 524,286 | 2,048 × /24 | |
| /14 | 255.252.0.0 | 0.3.255.255 | 262,144 | 262,142 | 1,024 × /24 | |
| /15 | 255.254.0.0 | 0.1.255.255 | 131,072 | 131,070 | 512 × /24 | |
| /16 | 255.255.0.0 | 0.0.255.255 | 65,536 | 65,534 | 256 × /24 | Old class B; 192.168.0.0/16 |
| /17 | 255.255.128.0 | 0.0.127.255 | 32,768 | 32,766 | 128 × /24 | |
| /18 | 255.255.192.0 | 0.0.63.255 | 16,384 | 16,382 | 64 × /24 | |
| /19 | 255.255.224.0 | 0.0.31.255 | 8,192 | 8,190 | 32 × /24 | |
| /20 | 255.255.240.0 | 0.0.15.255 | 4,096 | 4,094 | 16 × /24 | |
| /21 | 255.255.248.0 | 0.0.7.255 | 2,048 | 2,046 | 8 × /24 | |
| /22 | 255.255.252.0 | 0.0.3.255 | 1,024 | 1,022 | 4 × /24 | Large office or guest Wi-Fi (1,022 hosts) |
| /23 | 255.255.254.0 | 0.0.1.255 | 512 | 510 | 2 × /24 | Larger office LAN (510 hosts) |
| /24 | 255.255.255.0 | 0.0.0.255 | 256 | 254 | 1 × /24 | Typical office LAN (old class C) |
| /25 | 255.255.255.128 | 0.0.0.127 | 128 | 126 | 1/2 of a /24 | Smaller LAN or VLAN |
| /26 | 255.255.255.192 | 0.0.0.63 | 64 | 62 | 1/4 of a /24 | Smaller LAN or VLAN |
| /27 | 255.255.255.224 | 0.0.0.31 | 32 | 30 | 1/8 of a /24 | Small VLAN, phones, cameras |
| /28 | 255.255.255.240 | 0.0.0.15 | 16 | 14 | 1/16 of a /24 | Small VLAN, phones, cameras |
| /29 | 255.255.255.248 | 0.0.0.7 | 8 | 6 | 1/32 of a /24 | Small fixed public block (5 usable) |
| /30 | 255.255.255.252 | 0.0.0.3 | 4 | 2 | 1/64 of a /24 | Point-to-point (old style) |
| /31 | 255.255.255.254 | 0.0.0.1 | 2 | 2 | 1/128 of a /24 | Point-to-point link (RFC 3021) |
| /32 | 255.255.255.255 | 0.0.0.0 | 1 | 1 | 1/256 of a /24 | One host |
IPv6 prefix reference
| Prefix | Addresses | /64 LANs | /48 sites | Nibble | Typical use |
|---|---|---|---|---|---|
| /3 | 42,535,295,865,117,307,932,921,825,928,971,026,432 (2^125) | 2,305,843,009,213,693,952 | 35,184,372,088,832 | No | All global unicast (2000::/3) |
| /16 | 5,192,296,858,534,827,628,530,496,329,220,096 (2^112) | 281,474,976,710,656 | 4,294,967,296 | Yes | |
| /20 | 324,518,553,658,426,726,783,156,020,576,256 (2^108) | 17,592,186,044,416 | 268,435,456 | Yes | Large provider allocation (RIPE minimum for some) |
| /29 | 633,825,300,114,114,700,748,351,602,688 (2^99) | 34,359,738,368 | 524,288 | No | RIPE allocation to a provider (often) |
| /32 | 79,228,162,514,264,337,593,543,950,336 (2^96) | 4,294,967,296 | 65,536 | Yes | Provider allocation (RIPE default) |
| /36 | 4,951,760,157,141,521,099,596,496,896 (2^92) | 268,435,456 | 4,096 | Yes | |
| /40 | 309,485,009,821,345,068,724,781,056 (2^88) | 16,777,216 | 256 | Yes | |
| /44 | 19,342,813,113,834,066,795,298,816 (2^84) | 1,048,576 | 16 | Yes | |
| /48 | 1,208,925,819,614,629,174,706,176 (2^80) | 65,536 | 1 | Yes | One site or organisation (RIPE PI / assignment) |
| /52 | 75,557,863,725,914,323,419,136 (2^76) | 4,096 | Yes | ||
| /56 | 4,722,366,482,869,645,213,696 (2^72) | 256 | Yes | Small site or home (common provider assignment) | |
| /60 | 295,147,905,179,352,825,856 (2^68) | 16 | Yes | Some home broadband (16 LANs) | |
| /64 | 18,446,744,073,709,551,616 (2^64) | 1 | Yes | One LAN or VLAN (needed for SLAAC) | |
| /72 | 72,057,594,037,927,936 (2^56) | 1/256 of a /64 | Yes | ||
| /80 | 281,474,976,710,656 (2^48) | 1/65,536 of a /64 | Yes | ||
| /96 | 4,294,967,296 | 1/4,294,967,296 of a /64 | Yes | Embeds an IPv4 address (NAT64) | |
| /112 | 65,536 | 1/281,474,976,710,656 of a /64 | Yes | ||
| /120 | 256 | 1/72,057,594,037,927,936 of a /64 | Yes | ||
| /124 | 16 | 1/1,152,921,504,606,846,976 of a /64 | Yes | ||
| /126 | 4 | 1/4,611,686,018,427,387,904 of a /64 | No | ||
| /127 | 2 | 1/9,223,372,036,854,775,808 of a /64 | No | Point-to-point link (RFC 6164) | |
| /128 | 1 | 1/18,446,744,073,709,551,616 of a /64 | Yes | One host or loopback |
Private and special ranges
IPv4
| Range | Name | What it is |
|---|---|---|
255.255.255.255/32 | Limited broadcast | Every host on the local network |
0.0.0.0/8 | This network | Not routed; 0.0.0.0 means "any address" in settings |
10.0.0.0/8 | Private (RFC 1918) | Office and home networks; not routed on the internet |
100.64.0.0/10 | Shared address space (CGNAT) | Used by providers behind carrier-grade NAT (RFC 6598) |
127.0.0.0/8 | Loopback | This computer |
169.254.0.0/16 | Link-local (APIPA) | Self-assigned when no DHCP server answers |
172.16.0.0/12 | Private (RFC 1918) | Office and home networks; not routed on the internet |
192.0.0.0/24 | IETF protocol assignments | Special uses such as DS-Lite |
192.0.2.0/24 | Documentation (TEST-NET-1) | For examples; never used on a network |
192.88.99.0/24 | 6to4 relay (deprecated) | Formerly anycast for 6to4 |
192.168.0.0/16 | Private (RFC 1918) | Office and home networks; not routed on the internet |
198.18.0.0/15 | Benchmarking | Network equipment testing (RFC 2544) |
198.51.100.0/24 | Documentation (TEST-NET-2) | For examples; never used on a network |
203.0.113.0/24 | Documentation (TEST-NET-3) | For examples; never used on a network |
224.0.0.0/4 | Multicast | One-to-many traffic, such as IPTV and routing protocols |
240.0.0.0/4 | Reserved | Future use; not usable on most systems |
IPv6
| Range | Name | What it is |
|---|---|---|
::/128 | Unspecified | No address; :: means "any address" in settings |
::1/128 | Loopback | This computer |
::ffff:0:0/96 | IPv4-mapped | An IPv4 address written as IPv6 |
64:ff9b::/96 | NAT64 | IPv4 addresses reached through a NAT64 gateway |
100::/64 | Discard only | Traffic sent here is dropped (RFC 6666) |
2001:db8::/32 | Documentation | For examples; never used on a network |
2001::/32 | Teredo | IPv6 tunnelled over IPv4 UDP |
2002::/16 | 6to4 | IPv6 tunnelled over IPv4 (largely retired) |
3fff::/20 | Documentation | For examples (RFC 9637) |
fc00::/7 | Unique local (ULA) | Private IPv6, like RFC 1918; usually fd00::/8 |
fe80::/10 | Link-local | Every IPv6 interface has one; not routed |
ff00::/8 | Multicast | One-to-many traffic; replaces broadcast |
2000::/3 | Global unicast | Public internet addresses |